# Restore database rows

`POST /v1/databases/{databaseId}/rows/restore`

Scope: `docs:write`. Undoable.

## Request

```bash
curl -X POST "https://api.lydie.co/v1/databases/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/rows/restore" \
  -H "Authorization: Bearer $LYDIE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "rowIds": [
      "01JCQ3V5MZ8G4ZK2X7T9R6N1PB"
    ]
  }'
```

## Path parameters

- `databaseId` (ULID, required)

## Body

- `rowIds` (ULID[], required): (1–10000 items)

## Response

- `restoredIds` (ULID[], required)

```json
{
  "restoredIds": [
    "01JCQ3V5MZ8G4ZK2X7T9R6N1PB"
  ]
}
```

Errors use the envelope described at https://developers.lydie.co/errors.md.
